Bug 703238 (CVE-2011-4355)

Summary: CVE-2011-4355 gdb: object file .debug_gdb_scripts section improper input validation
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: gbenson, jan.kratochvil, jlieskov, mpolacek, pmuldoon, rcvalle, scorneli, security-response-team, sergiodj, tromey
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 813775 (view as bug list) Environment:
Last Closed: 2013-02-21 09:11:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 756114, 756116, 756117, 813775    
Bug Blocks: 734546, 855229    

Description Vincent Danen 2011-05-09 17:15:32 UTC
It was discovered [1],[2] the the GNU Debugger (gdb) would load untrusted files from the current working directory when .debug_gdb_scripts was defined.  While this was a design decision, it is an insecure one and users who do not pre-inspect untrusted files may execute arbitrary code with their privileges.

[1] http://sourceware.org/ml/gdb-patches/2011-04/msg00559.html
[2] http://sourceware.org/ml/gdb-patches/2011-05/msg00202.html

Comment 8 Ramon de C Valle 2011-11-22 17:53:46 UTC
Created gdb tracking bugs for this issue

Affects: fedora-all [bug 756117]

Comment 23 errata-xmlrpc 2013-02-21 10:51:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0522 https://rhn.redhat.com/errata/RHSA-2013-0522.html